SHA256SUM(1)

NAZWA
sha256sum - oblicza i sprawdza skrót wiadomości SHA256

SKŁADNIA
sha256sum [OPCJA]... [PLIK]...

OPIS

Wypisuje lub sprawdza sumy kontrolne SHA256 (256-bitowe).

Jeśli nie podano PLIKU lub jako PLIK podano -, czyta standardowe wejście.

-b, --binary
    czyta w trybie binarnym

-c, --check
    czyta sumy kontrolne SHA256 z PLIKÓW i sprawdza je

--tag
    tworzy sumę kontrolną w stylu BSD

-t, --text
    czyta w trybie tekstowym (domyślnie)

  Następujących pięć opcji jest przydatnych tylko przy sprawdzaniu sum kontrolnych:

--ignore-missing
    nie zwraca błędu, ani nie informuje przy brakujących plikach

--quiet
    nie wyświetla OK po każdym pozytywnie zweryfikowanym pliku

--status
    nie wyświetla niczego, wynik można poznać za pomocą kodu wyjścia

--strict
    wychodzi z niezerowym kodem zakończenia przy niepoprawnie sformatowanych wierszach sum kontrolnych

-w, --warn
    ostrzega o niepoprawnie sformatowanych wierszach sum kontrolnych

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

Sumy są obliczane zgodnie z opisem w FIPS-180-2. Podczas sprawdzania, wejście powinno być wygenerowane wcześniej przez ten program. Domyślnym trybem jest wyświetlanie wiersza z sumą kontrolną, spacji, znaku określającego typ wejściowy (* - binarny, spacja - tekstowy lub z niewielką ilością binarnego) i nazwy każdego PLIKU.

AUTOR
Napisane przez Ulricha Dreppera, Scotta Millera i Davida Madore.

ZGŁASZANIE BŁĘDÓW
Strona internetowa z pomocą GNU coreutils: <http://www.gnu.org/software/coreutils/>
Zgłoszenia błędów w tłumaczeniu sha256sum proszę wysyłać na adres <http://translationproject.org/team/pl.html>

PRAWA AUTORSKIE
Copyright © 2016 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <http://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
Pełna dokumentacja na stronie: <http://www.gnu.org/software/coreutils/sha256sum>
lub lokalnie, za pomocą info '(coreutils) sha2 utilities'

TŁUMACZENIE
Autorem polskiego tłumaczenia niniejszej strony podręcznika man jest Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 8.25 oryginału.